### Function

# GLib set_print_handler

#### Declaration [src]

    GPrintFunc
    g_set_print_handler (
      GPrintFunc func
    )

#### Description [src]

Sets the print handler to `func`, or resets it to the default GLib handler if `NULL`.

Any messages passed to `g_print()` will be output via the new handler. The default handler outputs the encoded message to `stdout`. By providing your own handler you can redirect the output, to a GTK widget or a log file for example.

Since 2.76 this functions always returns a valid `GPrintFunc`, and never returns `NULL`. If no custom print handler was set, it will return the GLib default print handler and that can be re-used to decorate its output and/or to write to `stderr` in all platforms. Before GLib 2.76, this was `NULL`.

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `GPrintFunc`

  The new print handler or `NULL` to reset to the default.

  The argument can be `NULL`.

#### Return value

Type: `GPrintFunc`

The old print handler.